| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations
OgreTerrainMaterialGenerator.h File Reference
`#include "OgreTerrainPrerequisites.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreSharedPtr.h"`

## Classes
struct | Ogre::TerrainLayerDeclaration
| The definition of the information each layer will contain in this terrain. More...
struct | Ogre::TerrainLayerSampler
| Description of a sampler that will be used with each layer. More...
struct | Ogre::TerrainLayerSamplerElement
| Information about one element of a sampler / texture within a layer. More...
class | Ogre::TerrainMaterialGenerator
| Class that provides functionality to generate materials for use with a terrain. More...
class | Ogre::TerrainMaterialGenerator::Profile
| Inner class which should also be subclassed to provide profile-specific material generation. More...

## Namespaces
| Ogre

## Typedefs
typedef std::vector< TerrainLayerSamplerElement > | Ogre::TerrainLayerSamplerElementList
typedef std::vector< TerrainLayerSampler > | Ogre::TerrainLayerSamplerList
typedef SharedPtr< TerrainMaterialGenerator > | Ogre::TerrainMaterialGeneratorPtr

## Enumerations
enum | Ogre::TerrainLayerSamplerSemantic { Ogre::TLSS_ALBEDO = 0, Ogre::TLSS_NORMAL = 1, Ogre::TLSS_HEIGHT = 2, Ogre::TLSS_SPECULAR = 3 }
| Enumeration of types of data that can be read from textures that are specific to a given layer. More...